# $Revision: 1.43 $, $Date: 2006/04/02 16:55:38 $
#
# Conditional build
%bcond_without	alsa	# without ALSA mixer support
%bcond_without	oss	# without OSS mixer support
#
Summary:	Daemon that handle the special hotkeys of an Apple iBook, Powerbook or TiBook
Summary(pl):	Demon obsugujcy klawisze specjalne w Apple iBook, Powerbook i TiBook
Name:		pbbuttonsd
Version:	0.7.5
Release:	1
License:	GPL
Group:		Daemons
Source0:	http://dl.sourceforge.net/pbbuttons/%{name}-%{version}.tar.gz
# Source0-md5:	d79c724ad86f50d92dbbb7e888bf855a
Source1:	%{name}.init
Source2:	%{name}.sysconf
Source3:	%{name}-initreq.h
Patch0:		%{name}-c++.patch
URL:		http://pbbuttons.berlios.de/
%{?with_alsa:BuildRequires:	alsa-lib-devel}
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext
BuildRequires:	glib2-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	sed >= 4.0
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
Obsoletes:	pmud
ExclusiveArch:	%{ix86} ppc
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
With the pbbuttonsd daemon, the keys for the display brightness, the
volume of speaker and headphone, the mute key and the eject key will
do their job as expected. The daemon also do some power management
tasks including low battery warnings, dimming the display if idle,
sleep on command, etc.

%description -l pl
Pakiet zawiera demona pbbuttonsd, obsugujcego klawisze specjalne
(jasno wywietlania, gono, wyciszanie, wyjmowanie CD).
Jednoczenie obsuguje niektre funkcje zarzdzania energi, m.in.
ostrzega o wyadowaniu baterii, wygasza nieuywany wywietlacz,
umoliwia usypianie komputera na komend.

%package lib
Summary:	Static libpbb.a library
Summary(pl):	Statyczna biblioteka libpbb.a
Group:		Development/Libraries
# it doesn't require base

%description lib
This library is part of the daemon package pbbuttonsd and is available
as static library only.

%description lib -l pl
Ta biblioteka jest czci pakietu pbbuttonsd i jest dostpna tylko w
wersji statycznej.

%package -n pbbcmd
Summary:	Command line tool to communicate with pbbuttonsd
Summary(pl):	Dziaajce z linii polece narzdzie do komunikowania z pbbuttonsd
Group:		Daemons
Requires:	%{name} = %{version}-%{release}

%description -n pbbcmd
pbbcmd is a tool to communicate with pbbuttonsd. It is possible to
send single commands to the daemon or ask it for certain information.

%description -n pbbcmd -l pl
pbbcmd to narzdzie do komunikowania z pbbuttonsd. Umoliwia wysyanie
pojedynczych polece do demona lub danie okrelonych informacji.

%prep
%setup -q
%patch0 -p1
sed '/MixerInitDelay/s/no/yes/' \
	-i %{name}.conf
cp %{SOURCE3} initreq.h

%build
%{!?with_alsa:echo "AC_DEFUN([AM_PATH_ALSA],[])" >> acinclude.m4}
%{__gettextize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--without-pmud	\
	--with-ibam	\
	--with%{!?with_alsa:out}-alsa \
	--with%{!?with_oss:out}-oss

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/{rc.d/init.d,sysconfig},%{_sbindir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv $RPM_BUILD_ROOT%{_bindir}/pbbuttonsd $RPM_BUILD_ROOT%{_sbindir}
mv $RPM_BUILD_ROOT%{_bindir}/pbbcmd $RPM_BUILD_ROOT%{_sbindir}

cp scripts/README README-power
cp scripts/scripts.d/skeleton scripts-skeleton

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/pbbuttonsd
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/pbbuttonsd

for script in $RPM_BUILD_ROOT/etc/power/scripts.d/*; do
	sed -i 's#^. pmcs-config#. /etc/power/pmcs-config#' $script
done

#
# Fix for pld run-parts script.
#

# convert run-parts invocation so it does not contain
# "--arg" and directory is given as first argument to run-parts script
find $RPM_BUILD_ROOT/etc/power -type f -exec sed -i \
    's#run-parts --arg="\([^"]\+\)" --arg="\([^"]\+\)" --arg="\([^"]\+\)" \(.\+\)#run-parts \4 "\1" "\2" "\3"#' \
    {} \;

find $RPM_BUILD_ROOT/etc/power -type f -exec sed -i \
    's#run-parts --arg=\([^ ]\+\) --arg=\([^ ]\+\) \(.\+\)#run-parts \3 "\1" "\2"#' \
    {} \;

# check if all run-parts invoked with "--arg" are converted
for f in $(find $RPM_BUILD_ROOT/etc/power -type f); do
	if grep -q -- --arg $f; then
		echo Not all run-parts script invocations are converted to PLD standard
		exit 1
	fi
done

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add pbbuttonsd
%service pbbuttonsd restart "pbbuttonsd daemon"

%preun
if [ "$1" = "0" ]; then
	%service pbbuttonsd stop
	/sbin/chkconfig --del pbbuttonsd
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS BUGS ChangeLog NEWS README TODO README-power scripts-skeleton
%attr(755,root,root) %{_sbindir}/pbbuttonsd
%attr(754,root,root) /etc/rc.d/init.d/pbbuttonsd
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/*
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/pbbuttonsd.conf
%dir %{_localstatedir}/lib/ibam
%dir %{_localstatedir}/lib/pbbuttons

%dir /etc/power

%attr(750,root,root) /etc/power/pmcs-pbbuttonsd
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/power/pmcs-config

%dir /etc/power/scripts.d
%exclude /etc/power/scripts.d/skeleton
%attr(750,root,root) /etc/power/scripts.d/*
/etc/power/event.d
/etc/power/pmcs-apmd
/etc/power/pmcs-pmud

%{_mandir}/man1/*
%{_mandir}/man5/*

%files lib
%defattr(644,root,root,755)
%{_libdir}/lib*.a
%{_includedir}/*

%files -n pbbcmd
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/pbbcmd

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pbbuttonsd.spec,v $
Revision 1.43  2006/04/02 16:55:38  paszczus
- updated to 0.7.5

Revision 1.42  2006/03/12 22:45:47  glen
- use %service, adapterized

Revision 1.41  2006/02/04 20:58:24  sparky
- add fake alsa AC_DEFUN if building without alsa

Revision 1.40  2006/01/28 18:16:17  sparky
- up to 0.7.4
- enabled ibam support
- regenerate all auto*
- many more BR's

Revision 1.39  2005/12/04 22:34:26  glen
- adapterized (sorted verify flags)

Revision 1.38  2005/09/02 12:18:52  wrobell
- ver. 0.7.1

Revision 1.37  2005/08/30 14:21:11  adamg
- proper group; release 2

Revision 1.36  2005/06/30 20:17:10  sparky
- updated to 0.6.10
- MixerInitDelay default to yes so it will not fail with our alsasound init
  script
- explicit --without-pmud
- STBR

Revision 1.35  2005/05/21 13:07:19  pluto
- release 2 for Th.

Revision 1.34  2005/04/18 19:20:30  qboosh
- standard bcond header, caps

Revision 1.33  2005/04/18 19:04:16  sparky
- alsa and oss bconds, added bconded BR: alsa-lib-devel

Revision 1.32  2005/03/25 05:52:58  wrobell
- ver. 0.6.8

Revision 1.31  2005/02/09 03:23:15  wrobell
- 0.6.7a

Revision 1.30  2005/02/07 22:22:34  qboosh
- fixed md5, removed unused min_kernel def

Revision 1.29  2005/02/06 18:27:22  darekr
- BR: sed 4.0

Revision 1.28  2005/02/01 22:12:39  wrobell
- /etc/power/pmcs-pbbuttonsd is not config file (one should use scripts.d)
- fixes for PLD run-parts
- rel. 2

Revision 1.27  2005/01/30 12:28:23  wrobell
- ver. 0.6.7

Revision 1.26  2004/11/04 20:05:10  paladine
- updated to 0.6.6

Revision 1.25  2004/10/30 11:59:33  qboosh
- EA update: since 0.5.9 it works on some Intel-based notebooks too
- strict internal dep

Revision 1.24  2004/10/24 12:21:33  paladine
- spelling fix

Revision 1.23  2004/09/28 22:49:44  wrobell
- better file permissions in /etc
- rel. 3

Revision 1.22  2004/09/26 23:54:12  wrobell
- remove INSTALL file - it is standard ac/am doc install file
- improved and simplified install section (i hope)
- rel. 2

Revision 1.21  2004/09/26 23:24:49  wrobell
- ver. 0.6.5

Revision 1.20  2004/08/18 00:09:07  havner
- rel 2

Revision 1.19  2004/08/17 23:50:05  adasi
- ExclusiveArch: ppc added

Revision 1.18  2004/05/24 18:11:28  leafnode
- updated to 0.6.0a

Revision 1.17  2004/05/02 19:46:25  leafnode
- updated to 0.5.11
- updated patch
- pbbuttonsd since 0.5 works not only on apple notebooks

Revision 1.16  2003/12/13 10:32:19  qboosh
- added c++ patch (fixes for using headers in C++ code)
- release 2

Revision 1.15  2003/12/05 00:10:29  speedy
- blah, md5sum

Revision 1.14  2003/12/05 00:04:14  speedy
- pbbcmd package

Revision 1.13  2003/12/04 23:47:28  speedy
- updated to 0.5.6

Revision 1.12  2003/08/12 22:32:51  ankry
- cosmetics

Revision 1.11  2003/05/25 06:24:32  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.10  2003/04/15 08:36:17  qboosh
- static library doesn't require daemon

Revision 1.9  2003/04/12 15:56:41  speedy
- upgraded to 0.5.3

Revision 1.8  2003/03/12 00:37:21  qboosh
- typos, cleanups, config(noreplace)

Revision 1.7  2003/03/11 03:10:47  speedy
- sync, release 1

Revision 1.5  2003/03/11 03:10:30  speedy
- release 1
- Kernel 2.4 (versions above 2.4.18-rc2-benh should be preferred)

Revision 1.4  2003/03/11 03:00:08  speedy
- package "pbbuttonsd-lib"

Revision 1.3  2003/03/11 02:34:02  speedy
- cleaning

Revision 1.2  2003/03/11 02:30:35  speedy
- upgraded to 0.5.2

Revision 1.1  2003/03/11 02:14:30  speedy
- initial kwark

Revision 1.6  2002/06/23 11:25:45  marcus
- it is for PPC only

Revision 1.5  2002/06/19 22:15:50  speedy
- fixed, it builds now.

Revision 1.4  2002/05/21 23:14:20  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.3  2002/05/09 22:23:52  qboosh
- fixed descriptions, s/ntp/pbbuttonsd/g

Revision 1.2  2002/04/23 07:57:54  marcus
- fixed _sysconfdir

Revision 1.1  2002/04/23 07:19:18  marcus
- initial spec, nfy
